using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 客户列表
    /// </summary>
    [SugarTable("YB_Business", TableDescription = "客户列表", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_Business
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 编码
        /// </summary>
        [SugarColumn(ColumnDescription = "编码", ColumnDataType = "varchar(100)")]
        public System.String Code { get; set; }

        /// <summary>
        /// 上级客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "上级客户ID")]
        public System.Int32 ParentId { get; set; }

        /// <summary>
        /// 客户名称
        /// </summary>
        [SugarColumn(ColumnDescription = "客户名称", ColumnDataType = "nvarchar(100)")]
        public System.String Name { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        [SugarColumn(ColumnDescription = "手机号", ColumnDataType = "varchar(20)")]
        public System.String Phone { get; set; }

        /// <summary>
        /// 类型,1-系统默认
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-系统默认")]
        public System.Int32 Type { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注", ColumnDataType = "nvarchar(200)")]
        public System.String Remark { get; set; }

        /// <summary>
        /// 状态,0-禁用,1-启用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-禁用,1-启用")]
        public StatusType Status { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
